<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Gejala;

class GejalaController extends Controller
{
    // Menampilkan semua data gejala
    public function index()
    {
        $gejala = Gejala::all();
        return view('admin.gejala', compact('gejala'));
    }

    // Menyimpan data gejala baru
    public function store(Request $request)
    {
        $request->validate([
            'kode' => 'required|unique:gejala',
            'nama_gejala' => 'required'
        ]);

        Gejala::create([
            'kode' => $request->kode,
            'nama_gejala' => $request->nama_gejala
        ]);

        return redirect()->route('admin.gejala')->with('success', 'Gejala berhasil ditambahkan!');
    }
    public function edit($id)
    {
        $gejala = Gejala::findOrFail($id);
        return view('admin.editgejala', compact('gejala'));
    }

    // Update data gejala
    public function update(Request $request, $id)
    {
        $request->validate([
            'kode' => 'required|unique:gejala,kode,' . $id,
            'nama_gejala' => 'required'
        ]);

        $gejala = Gejala::findOrFail($id);
        $gejala->update([
            'kode' => $request->kode,
            'nama_gejala' => $request->nama_gejala
        ]);

        return redirect()->route('admin.gejala')->with('success', 'Gejala berhasil diperbarui!');
    }
    // Hapus data gejala
    public function destroy($id)
    {
        $gejala = Gejala::findOrFail($id);
        $gejala->delete();

        return redirect()->route('admin.gejala')->with('success', 'Gejala berhasil dihapus!');
    }
}
