<?php

// app/Http/Controllers/SolusiController.php
namespace App\Http\Controllers;

use App\Models\Solusi;
use App\Models\Penyakit;
use Illuminate\Http\Request;

class SolusiController extends Controller
{
    public function index()
    {
        $solusi = Solusi::with('penyakit')->get();
        $penyakit = Penyakit::all(); // tambahkan baris ini

        return view('admin.solusi', compact('solusi', 'penyakit')); // tambahkan $penyakit
    }

    public function create()
    {
        $penyakits = Penyakit::all();
        return view('admin.solusi', compact('penyakit'));
    }

    public function store(Request $request)
    {
        $request->validate([
            'penyakit_kode' => 'required|exists:penyakit,kode',
            'metode_pengendalian' => 'required',
            'rekomendasi_pupuk' => 'nullable|string',
            'dosis_tanaman' => 'nullable|string',
            'dosis_hektar' => 'nullable|string',
            'waktu_cara_aplikasi' => 'nullable|string',
        ]);

        Solusi::create($request->all());

        return redirect()->route('admin.solusi')->with('success', 'Solusi berhasil ditambahkan.');
    }

        public function edit($id)
    {
        $solusi = Solusi::findOrFail($id);
        $penyakit = Penyakit::all();
        return view('admin.editsolusi', compact('solusi', 'penyakit'));
    }

    public function update(Request $request, $id)
    {
        $request->validate([
            'penyakit_kode' => 'required|exists:penyakit,kode',
            'metode_pengendalian' => 'required',
            'rekomendasi_pupuk' => 'nullable|string',
            'dosis_tanaman' => 'nullable|string',
            'dosis_hektar' => 'nullable|string',
            'waktu_cara_aplikasi' => 'nullable|string',
        ]);

        $solusi = Solusi::findOrFail($id);
        $solusi->update($request->all());

        return redirect()->route('admin.solusi')->with('success', 'Solusi berhasil diperbarui.');
    }

    public function destroy($id)
{
    $solusi = Solusi::findOrFail($id);
    $solusi->delete();

    return redirect()->route('solusi.index')
                     ->with('success', 'Data solusi berhasil dihapus.');
}


    // Edit, update, destroy opsional kalau mau tambah CRUD lengkap
}
