<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use App\Models\Gejala;
use App\Models\History;
use Illuminate\Support\Facades\Auth;

class UserController extends Controller
{
    public function index()
    {
        return view('home');
    }

    public function diagnosa()
    {
        $gejala = Gejala::all();
        return view('user.diagnosa', compact('gejala'));
    }

    public function prosesDiagnosa(Request $request)
    {
        $gejalaTerpilih = $request->input('gejala', []);
        $hasil = 'Tidak ada penyakit terdeteksi';

        if (!empty($gejalaTerpilih)) {
            $hasil = 'Penyakit ditemukan berdasarkan gejala yang dipilih';
        }

        History::create([
            'user_id' => Auth::id(),
            'gejala_terpilih' => json_encode($gejalaTerpilih),
            'hasil_diagnosa' => $hasil,
        ]);

        return redirect()->route('history')->with('success', $hasil);
    }

    public function history()
    {
        $history = History::where('user_id', Auth::id())->get();
        return view('user.history', compact('history'));
    }
}
