<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Diagnosa extends Model
{
    use HasFactory;

    protected $table = 'diagnosa';

    protected $fillable = [
        'user_id',
        'tanggal',
        'hasil_diagnosa',
        'nilai_cf',
    ];

    /**
     * Relasi: Diagnosa milik seorang user.
     */
    public function user()
    {
        return $this->belongsTo(User::class);
    }

    /**
     * Relasi: Diagnosa memiliki banyak detail gejala.
     */
    public function detail()
    {
        return $this->hasMany(DiagnosaDetail::class, 'diagnosa_id');
    }

    /**
     * Relasi ke penyakit hasil diagnosa (jika kamu ingin ambil data penyakit lengkap)
     */
    public function penyakit()
    {
        return $this->belongsTo(Penyakit::class, 'hasil_diagnosa', 'kode');
    }
}
