<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class DiagnosaDetail extends Model
{
    use HasFactory;

    protected $table = 'diagnosa_detail';

    protected $fillable = [
        'diagnosa_id',
        'gejala_kode',
        'cf_user',
    ];

    /**
     * Relasi: detail milik satu diagnosa utama.
     */
    public function gejala()
    {
        return $this->belongsTo(Gejala::class, 'gejala_kode', 'kode'); // atau 'id' kalau foreign key ID
    }


    public function diagnosa()
    {
        return $this->belongsTo(Diagnosa::class, 'diagnosa_id', 'id');
    }
}
