<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('aturan', function (Blueprint $table) {
            $table->id();
            $table->string('penyakit_kode', 255);
            $table->string('gejala_kode', 255);
            $table->double('cf_pakar', 8, 2);
            $table->timestamps();

            $table->foreign('gejala_kode')->references('kode')->on('gejala')->onDelete('cascade');
            $table->foreign('penyakit_kode')->references('kode')->on('penyakit')->onDelete('cascade');
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('aturan');
    }
};
