<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRiwayatDiagnosaDetailTable extends Migration
{
    public function up()
    {
        Schema::create('riwayat_diagnosa_detail', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('riwayat_id');
            $table->string('gejala_kode', 255);
            $table->string('penyakit_kode', 255);
            $table->double('cf_tertinggi', 8, 2);
            $table->timestamps();

            $table->foreign('riwayat_id')->references('id')->on('riwayat_diagnosa')->onDelete('cascade');
            $table->foreign('gejala_kode')->references('kode')->on('gejala')->onDelete('cascade');
            $table->foreign('penyakit_kode')->references('kode')->on('penyakit')->onDelete('cascade');
        });
    }

    public function down()
    {
        Schema::dropIfExists('riwayat_diagnosa_detail');
    }
}
