<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class PenyakitSeeder extends Seeder
{
    public function run(): void
    {
        DB::table('penyakit')->insert([
            [
                'kode' => 'P01',
                'nama_penyakit' => 'Penyakit Bulai',
                'deskripsi' => 'Penyakit ini disebabkan oleh jamur Peronosclerospora yang menyerang tanaman jagung. Gejalanya berupa bercak putih di permukaan daun, yang berkembang menjadi bintik-bintik kuning. Tanaman yang terinfeksi menjadi lemah, daunnya menguning, dan pertumbuhannya terhambat, mengurangi hasil panen jagung.'
            ],
            [
                'kode' => 'P02',
                'nama_penyakit' => 'Bercak Daun',
                'deskripsi' => 'Penyakit bercak daun disebabkan oleh berbagai jenis jamur, seperti Helminthosporium dan Alternaria. Penyakit ini menyebabkan munculnya bercak-bercak kecil dengan warna kuning atau coklat pada daun jagung. Infeksi yang parah dapat mengakibatkan daun mengering, mengurangi kemampuan fotosintesis tanaman, dan berdampak pada hasil jagung yang berkurang.'
            ],
            [
                'kode' => 'P03',
                'nama_penyakit' => 'Karat Daun',
                'deskripsi' => 'Karat daun jagung disebabkan oleh jamur Puccinia sorghi. Penyakit ini menyebabkan munculnya bintik-bintik berwarna oranye atau merah pada permukaan daun. Penyebaran jamur yang cepat dapat mengurangi kapasitas fotosintesis tanaman, yang mengarah pada penurunan hasil dan kualitas jagung yang lebih rendah.'
            ],
            [
                'kode' => 'P04',
                'nama_penyakit' => 'Hawar Daun',
                'deskripsi' => 'Penyakit hawar daun jagung disebabkan oleh jamur Helminthosporium maydis. Gejala penyakit ini meliputi bercak-bercak berwarna coklat atau hitam yang muncul pada daun jagung. Tanaman yang terinfeksi menunjukkan gejala layu dan daun cepat mengering. Hal ini dapat mengurangi luas permukaan daun untuk fotosintesis, menghambat pertumbuhan, dan menurunkan hasil panen.'
            ],
            [
                'kode' => 'P05',
                'nama_penyakit' => 'Busuk Tongkol',
                'deskripsi' => 'Busuk tongkol jagung disebabkan oleh jamur Diplodia atau Fusarium. Gejala penyakit ini adalah kerusakan pada tongkol jagung, yang dapat mengubah warna biji menjadi coklat atau hitam. Selain merusak kualitas biji, penyakit ini juga membuat biji jagung rentan terhadap pembusukan lebih lanjut, sehingga mengurangi hasil dan kualitas panen jagung.'
            ],
            [
                'kode' => 'P06',
                'nama_penyakit' => 'Busuk Batang Jamur',
                'deskripsi' => 'Penyakit busuk batang jamur disebabkan oleh jamur Fusarium atau Aspergillus. Jamur ini menginfeksi batang jagung dan menyebabkan pembusukan. Tanaman yang terinfeksi akan layu dan akhirnya mati. Pembusukan batang ini dapat mengurangi kekuatan struktur tanaman, membuatnya lebih rentan roboh, dan menurunkan hasil panen.'
            ],
            [
                'kode' => 'P07',
                'nama_penyakit' => 'Busuk Batang Bakteri',
                'deskripsi' => 'Penyakit busuk batang bakteri disebabkan oleh bakteri Erwinia chrysanthemi. Bakteri ini menyerang batang jagung, menyebabkan batang menjadi lembek, busuk, dan berbau tidak sedap. Tanaman yang terinfeksi akan cepat layu dan mati, mengurangi ketahanan tanaman dan hasil panen secara keseluruhan.'
            ],
        ]);
    }
}
