<!DOCTYPE html>
<html lang="id">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Admin Dashboard</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-icons/1.10.0/font/bootstrap-icons.min.css" rel="stylesheet">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/3.9.1/chart.min.js"></script>
    <style>
        body {
            background-color: #f8f9fa;
        }
        .sidebar {
           display: flex;
            flex-direction: column;
            justify-content: space-between; /* antara atas dan bawah */
            height: 100vh;
            width: 250px;
            background: linear-gradient(to bottom, #008080, #1a1a1a);
            color: white;
            position: fixed;
            padding-top: 10px;
            overflow-y: auto;
        }
        .sidebar a {
            color: white;
            padding: 10px 15px;
            display: block;
            text-decoration: none;
            transition: all 0.3s ease;
            border-radius: 8px;
            margin: 0 10px;
        }
        .sidebar a:hover {
            background: rgba(255, 255, 255, 0.2);
            transform: translateX(5px);
        }
        .sidebar a.active {
            background: rgba(255, 255, 255, 0.3);
            border-left: 4px solid #fff;
        }
        .content {
            margin-left: 260px;
            padding: 20px;
        }
        .card {
            border: none;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
            text-align: center;
            padding: 20px;
            border-radius: 12px;
            transition: transform 0.3s ease;
            background: linear-gradient(135deg, #fff, #f8f9fa);
        }
        .card:hover {
            transform: translateY(-5px);
            box-shadow: 0 8px 16px rgba(0, 0, 0, 0.15);
        }
        .card i {
            font-size: 2.5rem;
            margin-bottom: 15px;
        }
        .card-gejala { color: #28a745; }
        .card-penyakit { color: #dc3545; }
        .card-aturan { color: #007bff; }
        .card-user { color: #6f42c1; }
        
        .chart-container {
            background: white;
            border-radius: 12px;
            padding: 20px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
            margin-top: 20px;
        }
        
        .welcome-card {
            background: linear-gradient(135deg, #008080, #20b2aa);
            color: white;
            border-radius: 12px;
            padding: 20px;
            margin-bottom: 20px;
        }
        
        .stats-mini {
            font-size: 0.9rem;
            color: #6c757d;
            margin-top: 5px;
        }
        
        .sidebar-section {
            padding: 10px 15px 5px 15px;
            font-size: 0.8rem;
            color: #ccc;
            text-transform: uppercase;
            font-weight: bold;
            letter-spacing: 1px;
        }
        
        .notification-badge {
            background: #dc3545;
            color: white;
            border-radius: 50%;
            padding: 2px 6px;
            font-size: 0.7rem;
            margin-left: auto;
        }
        
        .activity-feed {
            background: white;
            border-radius: 12px;
            padding: 20px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
        }
        
        .activity-item {
            display: flex;
            align-items: center;
            padding: 10px 0;
            border-bottom: 1px solid #f1f1f1;
        }
        
        .activity-item:last-child {
            border-bottom: none;
        }
        
        .activity-icon {
            width: 40px;
            height: 40px;
            border-radius: 50%;
            display: flex;
            align-items: center;
            justify-content: center;
            margin-right: 15px;
            font-size: 1.2rem;
        }
        
        .activity-icon.success { background: #d4edda; color: #155724; }
        .activity-icon.info { background: #d1ecf1; color: #0c5460; }
        .activity-icon.warning { background: #fff3cd; color: #856404; }
    </style>
</head>
<body>
<div class="sidebar">
    <div class="text-center px-1 pb-1">
        <img src="{{ asset('images/logo.png') }}" alt="Logo"
            style="width: 100px; height: 100Px; margin-bottom: 5px; margin-top: 5px;">
    </div>
    <div class="sidebar-section">Menu Utama</div>
    <a href="{{ route('admin.dashboard') }}" class="active">
        <i class="bi bi-speedometer2 me-2"></i>Dashboard
    </a>
    <a href="{{ route('admin.user') }}">
        <i class="bi bi-people me-2"></i>Daftar Pengguna
    </a>
    <div class="sidebar-section">Data Master</div>
    <a href="{{ route('admin.gejala') }}">
        <i class="bi bi-list-check me-2"></i>Data Gejala
    </a>
    <a href="{{ route('admin.penyakit') }}">
        <i class="bi bi-bug me-2"></i>Data Penyakit
    </a>
    <a href="{{ route('admin.aturan') }}">
        <i class="bi bi-gear me-2"></i>Basis Pengetahuan
    </a>
    <a href="{{ route('admin.solusi') }}">
        <i class="bi bi-lightbulb me-2"></i>Rekomendasi Solusi
    </a>
    <div class="sidebar-section">Laporan</div>
    <a href="{{ route('admin.riwayat') }}">
        <i class="bi bi-clock-history me-2"></i>Riwayat Diagnosa
    </a>
    <div class="sidebar-section">Pengaturan</div>
    <a href="{{ route('admin.profile') }}">
        <i class="bi bi-person-circle me-2"></i>Profil Saya
    </a>
    <div class="px-3 pb-3">
        <button type="button" class="btn btn-danger w-100">
            <i class="bi bi-box-arrow-right me-2"></i>Logout
        </button>
    </div>
</div>

<div class="content">
    <div class="welcome-card">
        <div class="row align-items-center">
            <div class="col-md-8">
                <h3>Selamat Datang, Admin!</h3>
                <p class="mb-0">Kelola sistem pakar diagnosa dengan mudah dan efisien</p>
            </div>
            <div class="col-md-4 text-end">
                <i class="bi bi-calendar3" style="font-size: 3rem; opacity: 0.3;"></i>
            </div>
        </div>
    </div>

    <h4 class="mb-4">Ringkasan Data</h4>
    <div class="row">
        <div class="col-md-3">
            <div class="card bg-white">
                <i class="bi bi-list-check card-gejala"></i>
                <h5>Gejala</h5>
                <h3>{{ $data['gejala'] }}</h3> <!-- Nilai dari $data['gejala'] -->

            </div>
        </div>
        <div class="col-md-3">
            <div class="card bg-white">
                <i class="bi bi-bug card-penyakit"></i>
                <h5>Penyakit</h5>
                <h3>{{ $data['penyakit'] }}</h3> <!-- Nilai dari $data['penyakit'] -->

            </div>
        </div>
        <div class="col-md-3">
            <div class="card bg-white">
                <i class="bi bi-gear card-aturan"></i>
                <h5>Aturan</h5>
                <h3>{{ $data['aturan'] }}</h3> <!-- Nilai dari $data['aturan'] -->

            </div>
        </div>
        <div class="col-md-3">
            <div class="card bg-white">
                <i class="bi bi-people card-user"></i>
                <h5>Pengguna</h5>
                <h3>{{ $data['user'] }}</h3> <!-- Nilai dari $data['user'] -->
            </div>
        </div>
    </div>

</body>
</html>