@extends('layouts.admin')

@section('content')
<div class="container">
    <h3 class="mb-4">Edit Aturan Diagnosa</h3>

    @if ($errors->any())
        <div class="alert alert-danger">
            <ul class="mb-0">
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif

    <form action="{{ route('admin.aturan.update', $aturan->id) }}" method="POST">
        @csrf
        @method('PUT')
        <div class="mb-3">
            <label for="gejala_kode" class="form-label">Gejala</label>
            <select name="gejala_kode" class="form-select" required>
                @foreach ($gejala as $g)
                    <option value="{{ $g->kode }}" {{ $aturan->gejala_kode == $g->kode ? 'selected' : '' }}>
                        {{ $g->kode }} - {{ $g->nama_gejala }}
                    </option>
                @endforeach
            </select>
        </div>

        <div class="mb-3">
            <label for="penyakit_kode" class="form-label">Penyakit</label>
            <select name="penyakit_kode" class="form-select" required>
                @foreach ($penyakit as $p)
                    <option value="{{ $p->kode }}" {{ $aturan->penyakit_kode == $p->kode ? 'selected' : '' }}>
                        {{ $p->kode }} - {{ $p->nama_penyakit }}
                    </option>
                @endforeach
            </select>
        </div>

        <div class="mb-3">
            <label for="cf_pakar" class="form-label">CF Pakar (1–4)</label>
            <select name="cf_pakar" class="form-select" required>
                <option value="0.25" {{ $aturan->cf_pakar == 0.25 ? 'selected' : '' }}>1 (0.25)</option>
                <option value="0.5" {{ $aturan->cf_pakar == 0.5 ? 'selected' : '' }}>2 (0.50)</option>
                <option value="0.75" {{ $aturan->cf_pakar == 0.75 ? 'selected' : '' }}>3 (0.75)</option>
                <option value="1" {{ $aturan->cf_pakar == 1 ? 'selected' : '' }}>4 (1.00)</option>
            </select>
        </div>

        <div class="d-flex justify-content-between">
            <a href="{{ route('admin.aturan') }}" class="btn btn-secondary">Kembali</a>
            <button type="submit" class="btn btn-success">Simpan Perubahan</button>
        </div>
    </form>
</div>
@endsection
