@extends('layouts.admin')

@section('content')
<div class="container">
    <h3 class="mb-4">Edit Data Solusi Penyakit</h3>

    @if(session('success'))
        <div class="alert alert-success">{{ session('success') }}</div>
    @endif

    @if($errors->any())
        <div class="alert alert-danger">
            <ul class="mb-0">
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif

    <form action="{{ route('admin.solusi.update', $solusi->id) }}" method="POST">
        @csrf
        @method('PUT')
        <div class="mb-3">
            <label for="penyakit_kode" class="form-label">Pilih Penyakit</label>
            <select name="penyakit_kode" class="form-select" required>
                @foreach($penyakit as $p)
                <option value="{{ $p->kode }}" {{ $solusi->penyakit_kode == $p->kode ? 'selected' : '' }}>{{ $p->kode }} - {{ $p->nama_penyakit }}</option>
                @endforeach
            </select>
        </div>
        <div class="mb-3">
            <label for="metode_pengendalian" class="form-label">Metode Pengendalian</label>
            <textarea name="metode_pengendalian" class="form-control" rows="3" required>{{ old('metode_pengendalian', $solusi->metode_pengendalian) }}</textarea>
        </div>
        <div class="mb-3">
            <label for="rekomendasi_pupuk" class="form-label">Rekomendasi Pupuk</label>
            <input type="text" name="rekomendasi_pupuk" class="form-control" value="{{ old('rekomendasi_pupuk', $solusi->rekomendasi_pupuk) }}" required>
        </div>
        <div class="mb-3">
            <label for="dosis_tanaman" class="form-label">Dosis per Tanaman</label>
            <input type="text" name="dosis_tanaman" class="form-control" value="{{ old('dosis_tanaman', $solusi->dosis_tanaman) }}" required>
        </div>
        <div class="mb-3">
            <label for="dosis_hektar" class="form-label">Dosis per Hektar</label>
            <input type="text" name="dosis_hektar" class="form-control" value="{{ old('dosis_hektar', $solusi->dosis_hektar) }}" required>
        </div>
        <div class="mb-3">
            <label for="waktu_cara_aplikasi" class="form-label">Waktu & Cara Aplikasi</label>
            <textarea name="waktu_cara_aplikasi" class="form-control" rows="3" required>{{ old('waktu_cara_aplikasi', $solusi->waktu_cara_aplikasi) }}</textarea>
        </div>
        <div class="mb-3">
            <a href="{{ route('admin.solusi') }}" class="btn btn-secondary">Kembali</a>
            <button type="submit" class="btn btn-primary">Perbarui</button>
        </div>
    </form>
</div>
@endsection
