@extends('layouts.admin')

@section('content')
<div class="container">
    <h3 class="mb-4">Data Gejala</h3>

    @if(session('success'))
        <div class="alert alert-success">{{ session('success') }}</div>
    @endif

    <!-- Tombol Tambah -->
    <button class="btn btn-primary mb-3" data-bs-toggle="modal" data-bs-target="#addModal">+ Tambah Gejala</button>

    @if($gejala->isEmpty())
        <div class="alert alert-info">Belum ada data gejala.</div>
    @else
        <table class="table table-bordered table-striped bg-white text-dark">
            <thead class="table-light">
                <tr>
                    <th>No</th>
                    <th>Kode</th>
                    <th>Nama Gejala</th>
                    <th>Aksi</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($gejala as $i => $g)
                <tr>
                    <td>{{ $i + 1 }}</td>
                    <td>{{ $g->kode }}</td>
                    <td>{{ $g->nama_gejala }}</td>
                    <td>
                        <!-- Tombol Hapus -->
                    <form action="{{ route('admin.gejala.delete', $g->id) }}" method="POST" style="display:inline" onsubmit="return confirm('Yakin ingin menghapus?')">
                    @csrf
                    @method('DELETE')
                    <a href="{{ route('admin.gejala.edit', $g->id) }}" class="btn btn-warning btn-sm">Edit</a>
                        <button class="btn btn-danger btn-sm">Hapus</button>
                      </form>
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
    @endif
</div>

<!-- Modal Tambah -->
<div class="modal fade" id="addModal" tabindex="-1" aria-labelledby="addModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <form action="{{ route('admin.gejala.store') }}" method="POST">
      @csrf
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title">Tambah Gejala</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
          <div class="mb-3">
            <label class="form-label">Kode Gejala</label>
            <input type="text" name="kode" class="form-control" required>
          </div>
          <div class="mb-3">
            <label class="form-label">Nama Gejala</label>
            <input type="text" name="nama_gejala" class="form-control" required>
          </div>
        </div>
        <div class="modal-footer">
          <button type="submit" class="btn btn-success">Simpan</button>
        </div>
      </div>
    </form>
  </div>
</div>
@endsection
