@extends('layouts.admin')

@section('content')
<div class="container">
    <h3 class="mb-4">Data Penyakit</h3>

    @if(session('success'))
        <div class="alert alert-success">{{ session('success') }}</div>
    @endif

    <!-- Tombol Tambah -->
    <button class="btn btn-primary mb-3" data-bs-toggle="modal" data-bs-target="#addModal">+ Tambah Penyakit</button>

    @if($penyakit->isEmpty())
        <div class="alert alert-info">Belum ada data penyakit.</div>
    @else
        <table class="table table-bordered table-striped bg-white text-dark">
            <thead class="table-light">
                <tr>
                    <th>No</th>
                    <th>Kode</th>
                    <th>Nama Penyakit</th>
                    <th>Aksi</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($penyakit as $i => $p)
                <tr>
                    <td>{{ $i + 1 }}</td>
                    <td>{{ $p->kode }}</td>
                    <td>{{ $p->nama_penyakit }}</td>
                    <td>
                        <form action="{{ route('admin.penyakit.destroy', $p->id) }}" method="POST" onsubmit="return confirm('Yakin ingin menghapus?')" style="display:inline">
                            @csrf
                            @method('DELETE')
                            <a href="{{ route('admin.penyakit.edit', $p->id) }}" class="btn btn-warning btn-sm">Edit</a>
                            <button class="btn btn-danger btn-sm">Hapus</button>
                        </form>
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
    @endif
</div>

<!-- Modal Tambah -->
<div class="modal fade" id="addModal" tabindex="-1" aria-labelledby="addModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <form action="{{ route('admin.penyakit.store') }}" method="POST" enctype="multipart/form-data">
      @csrf
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title">Tambah Penyakit</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
          <div class="mb-3">
            <label for="kode" class="form-label">Kode Penyakit</label>
            <input type="text" name="kode" class="form-control" required>
          </div>
          <div class="mb-3">
            <label for="nama_penyakit" class="form-label">Nama Penyakit</label>
            <input type="text" name="nama_penyakit" class="form-control" required>
          </div>
        </div>
        <div class="modal-footer">
          <button type="submit" class="btn btn-success">Simpan</button>
        </div>
      </div>
    </form>
  </div>
</div>
@endsection
