@extends('layouts.admin')

@section('content')
<div class="container mt-4">
    <h2 class="mb-4">Riwayat Diagnosa Pengguna</h2>

    @if(session('success'))
        <div class="alert alert-success">{{ session('success') }}</div>
    @endif

    <div class="table-responsive">
        <table class="table table-bordered">
            <thead class="table-success">
                <tr>
                    <th>No</th>
                    <th>Nama Pengguna</th>
                    <th>Penyakit</th>
                    <th>Tingkat Keyakinan</th>
                    <th>Tanggal</th>
                </tr>
            </thead>
            <tbody>
                @forelse($riwayat as $index => $item)
                    <tr>
                        <td>{{ $index + 1 }}</td>
                        <td>{{ $item->user->name ?? '-' }}</td>
                        <td>{{ $item->penyakit->nama_penyakit ?? '-' }}</td>
                        <td>
                            @if($item->cf_tertinggi == 100)
                                100%
                            @else
                                {{ number_format($item->cf_tertinggi, 2, ',', '.') }}%
                            @endif
                        </td>
                        <td>{{ \Carbon\Carbon::parse($item->created_at)->format('d M Y H:i') }}</td>
                        
                    </tr>
                @empty
                    <tr>
                        <td colspan="6" class="text-center">Belum ada riwayat diagnosa.</td>
                    </tr>
                @endforelse
            </tbody>
        </table>
    </div>
</div>
@endsection
