<!DOCTYPE html>
<html lang="id">
<head>
    <meta charset="UTF-8">
    <title>Hasil Diagnosa</title>
    <style>
        body { font-family: sans-serif; font-size: 12px; }
        .header { text-align: center; margin-bottom: 20px; }
        .section { margin-bottom: 15px; }
        table { width: 100%; border-collapse: collapse; margin-top: 10px; }
        th, td { border: 1px solid #000; padding: 6px; text-align: left; }
        .title { font-size: 16px; font-weight: bold; margin-bottom: 10px; }
    </style>
</head>
<body>
    <div class="header">
        <h2>Hasil Diagnosa Penyakit Tanaman Jagung</h2>
        <p>Tanggal Diagnosa: {{ \Carbon\Carbon::parse($riwayat->created_at)->format('d-m-Y H:i') }}</p>
    </div>

    @php
        $penyakitUnik = $riwayat->detail->groupBy('penyakit_kode')->take(2);
    @endphp

    @foreach($penyakitUnik as $kode => $detailGroup)
        @php
            $penyakit = $detailGroup->first()->penyakit;
            $cf = $detailGroup->first()->cf_tertinggi;
        @endphp

        <div class="section">
            <div class="title">Informasi Penyakit</div>
            <p><strong>Kode:</strong> {{ $penyakit->kode ?? '-' }}</p>
            <p><strong>Nama:</strong> {{ $penyakit->nama_penyakit ?? '-' }}</p>
            <p><strong>Deskripsi:</strong> {{ $penyakit->deskripsi ?? '-' }}</p>
            <p><strong>Tingkat Kepastian:</strong> {{ number_format($cf, 2, ',', '.') }}%</p>
        </div>

        @if($penyakit && $penyakit->solusi->count())
            <div class="section">
                <div class="title">Solusi Penanganan</div>
                @foreach($penyakit->solusi as $solusi)
                    <table>
                        <tr><th>Metode Pengendalian</th><td>{{ $solusi->metode_pengendalian }}</td></tr>
                        <tr><th>Rekomendasi Pupuk</th><td>{{ $solusi->rekomendasi_pupuk }}</td></tr>
                        <tr><th>Dosis Tanaman</th><td>{{ $solusi->dosis_tanaman }}</td></tr>
                        <tr><th>Dosis per Hektar</th><td>{{ $solusi->dosis_hektar }}</td></tr>
                        <tr><th>Waktu & Cara Aplikasi</th><td>{{ $solusi->waktu_cara_aplikasi }}</td></tr>
                    </table>
                @endforeach
            </div>
        @else
            <p><em>Belum ada solusi tersedia untuk penyakit ini.</em></p>
        @endif
    @endforeach

    <div style="margin-top: 40px; font-size: 11px;">
        <p>Dicetak otomatis oleh sistem pakar penyakit tanaman jagung.</p>
    </div>
</body>
</html>
