@extends('layouts.user')

@section('content')
<link rel="stylesheet" href="{{ asset('css/auth/hasil.css') }}">

<div class="container-fluid content">
    <a href="{{ route('diagnosa.index') }}" class="btn btn-light rounded-circle shadow-sm d-inline-flex align-items-center justify-content-center"
       style="width: 36px; height: 36px; position: absolute; top: 20px; left: 20px;">
        &#8592;
    </a>

    <h2>Hasil Diagnosa</h2>

    @if(session('success'))
        <div class="alert alert-success">{{ session('success') }}</div>
    @endif

    @if(isset($penyakit_terduga) && count($penyakit_terduga))
        @foreach($penyakit_terduga as $data)
        <div class="row mb-5">
            {{-- Kolom kiri: Penyakit --}}
            <div class="col-md-6">
                <div class="card">
                    <div class="card-header bg-success text-white">
                        <h5 class="mb-0">Penyakit Terduga</h5>
                    </div>
                    <div class="card-body">
                        <p><strong>Kode Penyakit:</strong> {{ $data['penyakit']->kode }}</p>
                        <p><strong>Nama Penyakit:</strong> {{ $data['penyakit']->nama_penyakit }}</p>
                        <p><strong>Deskripsi:</strong> {{ $data['penyakit']->deskripsi }}</p>
                        <p><strong>Tingkat Kepastian:</strong> {{ $data['cf_total'] }}%</p>
                    </div>
                </div>
            </div>

            {{-- Kolom kanan: Solusi --}}
            <div class="col-md-6">
                @if($data['penyakit']->solusi && count($data['penyakit']->solusi))
                    <div class="card">
                        <div class="card-header bg-info text-white">
                            <h5 class="mb-0">Solusi Penanganan</h5>
                        </div>
                        <div class="card-body">
                            @foreach($data['penyakit']->solusi as $solusi)
                                <table class="table-solusi">
                                    <tbody>
                                        <tr><th>Metode Pengendalian :</th><td>{{ $solusi->metode_pengendalian }}</td></tr>
                                        <tr><th>Rekomendasi Pupuk :</th><td>{{ $solusi->rekomendasi_pupuk }}</td></tr>
                                        <tr><th>Dosis Tanaman :</th><td>{{ $solusi->dosis_tanaman }}</td></tr>
                                        <tr><th>Dosis per Hektar :</th><td>{{ $solusi->dosis_hektar }}</td></tr>
                                        <tr><th>Waktu & Cara Aplikasi :</th><td>{{ $solusi->waktu_cara_aplikasi }}</td></tr>
                                    </tbody>
                                </table>
                            @endforeach
                        </div>
                    </div>
                @else
                    <div class="alert alert-warning mt-3">
                        Belum ada solusi yang tersedia untuk penyakit ini.
                    </div>
                @endif
            </div>
        </div>
        @endforeach
    @else
        <div class="alert alert-warning mt-3">
            Tidak ditemukan penyakit berdasarkan gejala yang Anda pilih.
        </div>
    @endif

    <a href="{{ route('riwayat.index') }}" class="btn btn-primary mt-3 ms-2">Lihat Riwayat Diagnosa</a>
</div>
@endsection
