@extends('layouts.user')

@section('content')
<a href="{{ url()->previous() }}" class="btn btn-light rounded-circle shadow-sm d-inline-flex align-items-center justify-content-center"
   style="width: 36px; height: 36px; position: absolute; top: 20px; left: 20px;">
    &#8592;
</a>

<div class="container mt-4">
    <h1 class="mb-4 text-center">Daftar Penyakit Tanaman Jagung</h1>

    @php
        $penyakit = [
            [
                'nama' => 'Bulai (Peronosclerospora maydis)',
                'deskripsi' => 'Gejala awal berupa bercak putih hingga kekuningan di permukaan daun, disertai garis klorotik. Pada pagi hari, sisi bawah daun tampak lapisan beledu putih. Penyakit ini menyebar sistemik dan bisa mengganggu pembentukan buah, terutama jika menyerang pada usia muda.',
                'gambar' => 'bulai.png',
            ],
            [
                'nama' => 'Bercak Daun',
                'deskripsi' => 'Ditandai dengan bercak hijau kekuningan atau coklat kemerahan pada daun. Bibit jagung yang terinfeksi bisa mati dalam 3–4 minggu. Penyebaran lewat angin atau percikan air hujan.',
                'gambar' => 'bercak.png',
            ],
            [
                'nama' => 'Hawar Daun',
                'deskripsi' => 'Bercak oval kecil yang membesar dan berwarna hijau keabu-abuan atau coklat. Dimulai dari daun bawah lalu menyebar ke atas. Infeksi parah dapat menyebabkan tanaman mati.',
                'gambar' => 'hawar.png',
            ],
            [
                'nama' => 'Karat Daun',
                'deskripsi' => 'Muncul bercak kecil bulat atau oval di permukaan daun atas dan bawah, menghasilkan uredospora yang menyebar melalui angin. Umum di berbagai ketinggian dan musim.',
                'gambar' => 'karat.png',
            ],
            [
                'nama' => 'Busuk Batang',
                'deskripsi' => 'Terjadi setelah fase pembungaan. Pangkal batang menguning lalu membusuk dari dalam. Menghambat penyerapan air dan nutrisi sehingga tanaman rapuh.',
                'gambar' => 'busukbatang.png',
            ],
            [
                'nama' => 'Busuk Tongkol',
                'deskripsi' => 'Menyerang tongkol jagung, disebabkan oleh jamur yang berkembang dalam kondisi lembap. Menurunkan kualitas dan kuantitas hasil panen.',
                'gambar' => 'busuktongkol.png',
            ],
        ];
    @endphp

    <div class="row">
        @foreach ($penyakit as $item)
            <div class="col-md-6 mb-4">
                <div class="card h-100 shadow-sm">
                    <img src="{{ asset('images/penyakit/' . $item['gambar']) }}"
                         class="card-img-top"
                         alt="{{ $item['nama'] }}"
                         style="object-fit: cover; height: 250px; width: 100%;">
                    <div class="card-body">
                        <h5 class="card-title">{{ $item['nama'] }}</h5>
                        <p class="card-text">{{ $item['deskripsi'] }}</p>
                    </div>
                </div>
            </div>
        @endforeach
    </div>
</div>
@endsection
