<!DOCTYPE html>
<html lang="id">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@yield('title', 'Admin Dashboard')</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-icons/1.10.0/font/bootstrap-icons.min.css" rel="stylesheet">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/3.9.1/chart.min.js"></script>

    <style>
        body {
            background-color: #f8f9fa;
            margin: 0;
            padding: 0;
        }

        .sidebar {
           display: flex;
            flex-direction: column;
            justify-content: space-between; /* antara atas dan bawah */
            height: 100vh;
            width: 250px;
            background: linear-gradient(to bottom, #008080, #1a1a1a);
            color: white;
            position: fixed;
            padding-top: 10px;
            overflow-y: auto;
        }


        .sidebar a {
            color: white;
            padding: 10px 15px;
            display: block;
            text-decoration: none;
            transition: all 0.3s ease;
            border-radius: 8px;
            margin: 0 10px;
        }

        .sidebar a:hover {
            background: rgba(255, 255, 255, 0.2);
            transform: translateX(5px);
        }

        .sidebar a.active {
            background: rgba(255, 255, 255, 0.3);
            border-left: 4px solid #fff;
        }

        .content {
            margin-left: 260px;
            padding: 20px;
        }

        .card {
            border: none;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
            text-align: center;
            padding: 20px;
            border-radius: 12px;
            background: linear-gradient(135deg, #fff, #f8f9fa);
            transition: transform 0.3s ease;
        }

        .card:hover {
            transform: translateY(-5px);
            box-shadow: 0 8px 16px rgba(0, 0, 0, 0.15);
        }

        .welcome-card {
            background: linear-gradient(135deg, #008080, #20b2aa);
            color: white;
            border-radius: 12px;
            padding: 20px;
            margin-bottom: 20px;
        }

        .sidebar-section {
            padding: 10px 15px 5px 15px;
            font-size: 0.8rem;
            color: #ccc;
            text-transform: uppercase;
            font-weight: bold;
            letter-spacing: 1px;
        }
    </style>
</head>
<!-- di <head> -->
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">

<!-- sebelum </body> -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>

<body>

    {{-- Sidebar --}}
<div class="sidebar">
    <div class="text-center px-1 pb-1">
        <img src="{{ asset('images/logo.png') }}" alt="Logo"
            style="width: 100px; height: 100Px; margin-bottom: 5px; margin-top: 5px;">
    </div>
        <div class="sidebar-section">Menu Utama</div>
        <a href="{{ route('admin.dashboard') }}" class="{{ request()->routeIs('admin.dashboard') ? 'active' : '' }}">
            <i class="bi bi-speedometer2 me-2"></i>Dashboard
        </a>
        <a href="{{ route('admin.user') }}" class="{{ request()->routeIs('admin.user') ? 'active' : '' }}">
            <i class="bi bi-people me-2"></i>Daftar Pengguna
        </a>

        <div class="sidebar-section">Data Master</div>
        <a href="{{ route('admin.gejala') }}" class="{{ request()->routeIs('admin.gejala') ? 'active' : '' }}">
            <i class="bi bi-list-check me-2"></i>Data Gejala
        </a>
        <a href="{{ route('admin.penyakit') }}" class="{{ request()->routeIs('admin.penyakit') ? 'active' : '' }}">
            <i class="bi bi-bug me-2"></i>Data Penyakit
        </a>
        <a href="{{ route('admin.aturan') }}" class="{{ request()->routeIs('admin.aturan') ? 'active' : '' }}">
            <i class="bi bi-gear me-2"></i>Basis Pengetahuan
        </a>
        <a href="{{ route('admin.solusi') }}" class="{{ request()->routeIs('admin.solusi') ? 'active' : '' }}">
            <i class="bi bi-lightbulb me-2"></i>Rekomendasi Solusi
        </a>
        <div class="sidebar-section">Laporan</div>
        <a href="{{ route('admin.riwayat') }}" class="{{ request()->routeIs('admin.riwayat') ? 'active' : '' }}">
            <i class="bi bi-clock-history me-2"></i>Riwayat Diagnosa
        </a>
        <div class="sidebar-section">Pengaturan</div>
        <a href="{{ route('admin.profile') }}" class="{{ request()->routeIs('admin.profile') ? 'active' : '' }}">
            <i class="bi bi-person-circle me-2"></i>Profil Saya
        </a>
        <div class="px-3 pb-3">
            <form method="POST" action="{{ route('logout') }}">
                @csrf
                <button type="submit" class="btn btn-danger w-100">
                    <i class="bi bi-box-arrow-right me-2"></i>Logout
                </button>
            </form>
        </div>
    </div>

    {{-- Konten Utama --}}
    <div class="content">
        <div class="welcome-card">
            <div class="row align-items-center">
                <div class="col-md-8">
                    <h3>Selamat Datang, Admin!</h3>
                    <p class="mb-0">Kelola sistem pakar diagnosa dengan mudah dan efisien</p>
                </div>
                <div class="col-md-4 text-end">
                    <i class="bi bi-calendar3" style="font-size: 3rem; opacity: 0.3;"></i>
                </div>
            </div>
        </div>

        {{-- Konten Dinamis --}}
        @yield('content')
    </div>

</body>
</html>
